function s = getShift(n,shift_type)
% Compute the different shift s used in the experiments in section 9.
%
%
% Authored by: Tim Mitchell
% Email: mitchell@mpi-magdeburg.mpg.de
% Date: March 1, 2022
% License: AGPL
%
% =========================================================================
% |  getShift.m                                                           |
% |  Copyright (C) 2022 Tim Mitchell                                      |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================

    switch shift_type
        case {0,0.25,0.5,0.75,1}
            s = shift_type*n;
        otherwise
            error('shift_type must be 0, 0.25, 0.5, 0.75, or 1');
    end
end