function handles = setupPanelFigures(handles)
%SETUPPANELSFIGURES   Populate the figures panel on CHEBGUI

% Background colour for text fields. Ensure that we're using the same one as
% found on the button panel.
textBackgroundColour = get(handles.panel_buttons, 'BackgroundColor');
% Specify the font size of panels and text with non-monospaced font.
textFontsize = 12;
% Specify the left margin of the sub-panels.
panelLeftMargin = 0.01;
% Specify the width of the sub-panels (such as inputs for differential equation
% and boundary conditions).
panelWidth = .975;

%% Creates panels for the figures and the axes
handles.panel_figSol = uipanel('Parent', handles.panel_figures, ...
    'Title', 'Solution', 'Titleposition', 'centertop',...
    'BackgroundColor', textBackgroundColour, ...
    'Position', [panelLeftMargin .565 panelWidth .425], ...
    'FontSize', textFontsize, ...
    'BorderType', 'none');

handles.fig_sol = axes( 'Parent', handles.panel_figSol, ...
    'Units', 'normalized', ...
    'HandleVisibility','callback', ...
    'Position',[0.13 0.115 0.8 0.8]);

handles.panel_figNorm = uipanel('Parent', handles.panel_figures, ...
    'Title', ' ', 'Titleposition', 'centertop',...
    'BackgroundColor', textBackgroundColour, ...
    'Position', [panelLeftMargin .05 panelWidth .45], ...
    'FontSize', textFontsize, ...
    'BorderType', 'none');

handles.fig_norm = axes( 'Parent', handles.panel_figNorm, ...
    'Units', 'normalized', ...
    'HandleVisibility','callback', ...
    'Position',[0.13 0.1 0.8 0.8]);
colormap(handles.fig_norm, 'default');
end
