function data = runSection93Job(shift_type,save_files)

    ns      = [100,200,400,800];
    k       = length(ns);
    data    = cell(k,1);
    
    use_line    = true;
    use_sum     = false;
    plots       = false;
    z0          = [];   % don't specify a search point
    z0s         = 0;    % use the origin to start optimization
   
    save_files = nargin > 1 && save_files;
    
    if save_files 
        diary(sprintf('section93_shift=%g.txt',shift_type));
    end
    
    for j = 1:k
        n       = ns(j); 
        s       = getShift(n,shift_type);
        
        [A,B,I] = getExample(n);
        As      = A - s*I;
        Bs      = B + s*I;
        
        fprintf('Testing m=n=%d s=%d...',n,s);
        dD      = getSepLamDemo(As,Bs,z0,z0s,use_line,use_sum,plots);
        fprintf('getSepLam took %.1f seconds.\n',dD.t);
        
        d.mn        = n;
        d.s         = s;
        d.getSepLam = dD;
        data{j}     = d;
    end
    
    fprintf('\nTable 9.4:\n');
    printTable94(data);
    fprintf('\n');
    
    if save_files
        diary off
        save(sprintf('section93_shift=%g.mat',shift_type),'data');
    end
      
end