function h = plotEigs(A,B)
% This creates a new figure and plots the eigenvalues of A and B in it
%   A: blue x's
%   B: red dots
%
%
% Authored by: Tim Mitchell
% Email: mitchell@mpi-magdeburg.mpg.de
% Date: November 7, 2019
% License: AGPL
%
% =========================================================================
% |  plotEigs.m                                                           |
% |  Copyright (C) 2019 Tim Mitchell                                      |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================
      
    h = figure();
    hold on 
    
    d = eig(A);
    plot(complex(d),'bx','LineWidth',2,'MarkerSize',8);
    
    d = eig(B);
    plot(complex(d),'r.','LineWidth',2,'MarkerSize',14);
    
    n = max(length(A),length(B));
    n = round(1.1*n);
    % n = round(1.1*n^0.7);
    xlim([-n n]);
    ylim([-n n]);
    axis square

end