function ticks0topi(sub_ticks)
% For the current axis, add labels for angles in radians from 0 to pi.
%
%
% Authored by: Tim Mitchell
% Email: mitchell@mpi-magdeburg.mpg.de
% Date: September 16, 2019
% License: AGPL
%
% =========================================================================
% |  ticks0topi.m                                                         |
% |  Copyright (C) 2019 Tim Mitchell                                      |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================

    if nargin < 1 
        sub_ticks = false;
    end

    h = gca;
    
    xt = linspace(0,pi,9 + 8*sub_ticks);
    xticks(xt);
    h.TickLabelInterpreter = 'latex';
    
    if sub_ticks
        xticklabels({                                       ...
            '$0$','',                                       ...
            '$\frac{1}{8}\pi$','','$\frac{1}{4}\pi$','',    ...
            '$\frac{3}{8}\pi$','','$\frac{1}{2}\pi$','',    ...
            '$\frac{5}{8}\pi$','','$\frac{3}{4}\pi$','',    ...
            '$\frac{7}{8}\pi$','','$\pi$'                   });
    else
        xticklabels({                                       ...
            '$0$',                                          ...
            '$\frac{1}{8}\pi$','$\frac{1}{4}\pi$',          ...
            '$\frac{3}{8}\pi$','$\frac{1}{2}\pi$',          ...
            '$\frac{5}{8}\pi$','$\frac{3}{4}\pi$',          ...
            '$\frac{7}{8}\pi$','$\pi$'                      });
    end
end