function tickspitopi()
% Label the x-axis with fractional pi values as tick marks, from -pi to pi
%
% Authored by: Tim Mitchell
% Email: mitchell@mpi-magdeburg.mpg.de
% Date: September 16, 2019
% License: AGPL
%
% =========================================================================
% |  tickspitopi.m                                                        |
% |  Copyright (C) 2019 Tim Mitchell                                      |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================

    h = gca;
    xt = linspace(-pi,pi,9);
    xticks(xt);
    h.TickLabelInterpreter = 'latex';
    xticklabels({'$-\pi$',...
        '$-\frac{3}{4}\pi$','$-\frac{1}{2}\pi$','$-\frac{1}{4}\pi$',...
        '$0$',...
        '$\frac{1}{4}\pi$','$\frac{1}{2}\pi$','$\frac{3}{4}\pi$',...
        '$\pi$'});
end