function [z0,getZ0,dA,dB,shared] = checkEigs(A,B,pert_level)
    dA      = eig(A);
    dB      = eig(B);
    idxA    = ismember(dA,dB);
     
    if any(idxA)
        z0      = [];
        getZ0   = [];
        shared  = dA(idxA);
    else
        shared  = [];
        d       = [dA; dB];
        p_lim   = pert_level*max(abs(d));
        c       = mean(d);
        z0      = c;
        getZ0   = @getNewZ0;
        
        while shareAnElement(z0,d)
            z0 = getNewZ0();
        end
    end
    
    function z0 = getNewZ0()
        p   = (rand() - 0.5) + 1i*(rand() - 0.5);
        p   = p/norm(p);
        p   = p_lim*rand()*p;
        z0  = c + p;
    end

end

function tf = shareAnElement(a,b)
    tf = any(ismember(a,b));
end
