function [ub,eps1,eps2,shared] = varahTrivialUB(A,B,dA,dB)

    fnA = getSigmaMinFn(A);
    fnB = getSigmaMinFn(B);

    sA  = arrayfun(fnA,dB);
    sB  = arrayfun(fnB,dA);
    
    [Amin,idxA] = min(sA);
    [Bmin,idxB] = min(sB);
    
    if Amin < Bmin
        eps1    = Amin;
        eps2    = 0;
        shared  = dB(idxA);
    else
        eps1    = 0;
        eps2    = Bmin;
        shared  = dA(idxB);
    end
    ub = eps1 + eps2;
end

function fn = getSigmaMinFn(A)
    if isa(A,'function_handle')
        fn = A;
    else
        fn = makeFastSigmaMinFn(A);
    end
end